
From: Adrian Bunk <bunk@stusta.de>

We seem to have two CONFIG_DEBUG_INFO entries in Kconfig.debug.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/arm/Kconfig.debug   |    9 ---------
 25-akpm/arch/arm26/Kconfig.debug |   10 ----------
 25-akpm/lib/Kconfig.debug        |   15 ++-------------
 3 files changed, 2 insertions(+), 32 deletions(-)

diff -puN arch/arm26/Kconfig.debug~consolidate-debug_info arch/arm26/Kconfig.debug
--- 25/arch/arm26/Kconfig.debug~consolidate-debug_info	2005-03-10 14:48:58.000000000 -0800
+++ 25-akpm/arch/arm26/Kconfig.debug	2005-03-10 14:48:58.000000000 -0800
@@ -38,16 +38,6 @@ config DEBUG_ERRORS
 	  you are concerned with the code size or don't want to see these
 	  messages.
 
-config DEBUG_INFO
-	bool "Include GDB debugging information in kernel binary"
-	help
-	  Say Y here to include source-level debugging information in the
-	  `vmlinux' binary image. This is handy if you want to use gdb or
-	  addr2line to debug the kernel. It has no impact on the in-memory
-	  footprint of the running kernel but it can increase the amount of
-	  time and disk space needed for compilation of the kernel. If in
-	  doubt say N.
-
 # These options are only for real kernel hackers who want to get their hands dirty.
 config DEBUG_LL
 	bool "Kernel low-level debugging functions"
diff -puN arch/arm/Kconfig.debug~consolidate-debug_info arch/arm/Kconfig.debug
--- 25/arch/arm/Kconfig.debug~consolidate-debug_info	2005-03-10 14:48:58.000000000 -0800
+++ 25-akpm/arch/arm/Kconfig.debug	2005-03-10 14:48:58.000000000 -0800
@@ -47,15 +47,6 @@ config DEBUG_ERRORS
 	  you are concerned with the code size or don't want to see these
 	  messages.
 
-config DEBUG_INFO
-	bool "Include GDB debugging information in kernel binary"
-	help
-	  Say Y here to include source-level debugging information in the
-	  `vmlinux' binary image. This is handy if you want to use gdb or
-	  addr2line to debug the kernel. It has no impact on the in-memory
-	  footprint of the running kernel but it can increase the amount of
-	  time and disk space needed for compilation of the kernel. If in
-	  doubt say N.
 
 # These options are only for real kernel hackers who want to get their hands dirty.
 config DEBUG_LL
diff -puN lib/Kconfig.debug~consolidate-debug_info lib/Kconfig.debug
--- 25/lib/Kconfig.debug~consolidate-debug_info	2005-03-10 14:48:58.000000000 -0800
+++ 25-akpm/lib/Kconfig.debug	2005-03-10 14:48:58.000000000 -0800
@@ -130,20 +130,9 @@ config DEBUG_INFO
 	help
           If you say Y here the resulting kernel image will include
 	  debugging info resulting in a larger kernel image.
-	  Say Y here only if you plan to use gdb to debug the kernel.
-	  If you don't debug the kernel, you can say N.
+	  Say Y here only if you plan to debug the kernel.
 
-config DEBUG_INFO
-	bool "Enable kernel debugging symbols"
-	depends on DEBUG_KERNEL && USERMODE
-	help
-        When this is enabled, the User-Mode Linux binary will include
-        debugging symbols.  This enlarges the binary by a few megabytes,
-        but aids in tracking down kernel problems in UML.  It is required
-        if you intend to do any kernel development.
-
-        If you're truly short on disk space or don't expect to report any
-        bugs back to the UML developers, say N, otherwise say Y.
+	  If unsure, say N.
 
 config DEBUG_IOREMAP
 	bool "Enable ioremap() debugging"
_
